> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Crypto Withdrawal



## OpenAPI

````yaml /api-reference/openapi.json post /wallets/ext/debit/crypto
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /wallets/ext/debit/crypto:
    post:
      tags:
        - Payouts
      summary: Request Crypto Withdrawal
      parameters:
        - name: x-api-key
          in: header
          required: false
          deprecated: false
          schema: {}
        - name: x-api-signature
          in: header
          required: false
          deprecated: false
          schema: {}
        - name: x-api-timestamp
          in: header
          required: false
          deprecated: false
          schema: {}
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example:
              destination:
                address: wallet-address
                network: ''
                memo: ''
              amount: 1
              currency: string
              narration: string
      responses:
        '200':
          description: Request Crypto Withdrawal
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  active:
                    type: boolean
                  reference:
                    type: string
                  description:
                    type: string
                  narration:
                    nullable: true
                  type:
                    type: string
                  category:
                    type: string
                  amount:
                    type: integer
                  walletId:
                    type: string
                  wallet:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      active:
                        type: boolean
                      availableBalance:
                        type: number
                      pendingBalance:
                        type: integer
                      pendingSwapBalance:
                        type: integer
                      lockedBalance:
                        type: integer
                      userId:
                        type: string
                      currencyId:
                        type: string
                      p2pBalance:
                        type: number
                      currency:
                        type: object
                        properties:
                          id:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          updatedAt:
                            type: string
                            format: date-time
                          active:
                            type: boolean
                          name:
                            type: string
                          code:
                            type: string
                          exchangeCode:
                            nullable: true
                          leverageBaseCurrencyCode:
                            nullable: true
                          leverageMultipler:
                            nullable: true
                          cardWithdrawalMultiplier:
                            type: number
                          cardFundingMultiplier:
                            type: number
                          receivable:
                            type: boolean
                          withdrawable:
                            type: boolean
                          transferrable:
                            type: boolean
                          minimumWithdrawal:
                            type: integer
                          minimumDeposit:
                            type: integer
                          maximumDeposit:
                            type: integer
                          maximumDailyDepositLimit:
                            type: integer
                          maximumWithdrawal:
                            type: integer
                          maximumDecimalPlaces:
                            type: integer
                          minimumLiquidity:
                            type: integer
                          maximumLiquidity:
                            type: integer
                          withdrawalFee:
                            type: integer
                          receiveFee:
                            type: integer
                          type:
                            type: string
                          leverageType:
                            nullable: true
                          receiveFeeType:
                            type: string
                          withdrawalFeeType:
                            type: string
                          maximumWithdrawalFee:
                            type: integer
                          allowUtilityPayments:
                            type: boolean
                          allowUnconfirmedTrading:
                            type: boolean
                          allowVirtualCardTransactions:
                            type: boolean
                          enableWithdrawalApproval:
                            type: boolean
                      totalSwappableBalance:
                        type: number
                      totalPendingBalance:
                        type: integer
                  payout:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      active:
                        type: boolean
                      tries:
                        type: integer
                      transferReference:
                        nullable: true
                      externalReference:
                        nullable: true
                      channel:
                        type: string
                      status:
                        type: string
                      processedAt:
                        nullable: true
                      verifiedAt:
                        nullable: true
                      reversedAt:
                        nullable: true
                      dollarValue:
                        type: number
                      fee:
                        type: integer
                      externalFee:
                        type: integer
                      bitcoinValue:
                        type: number
                      transactionId:
                        type: string
                      invoiceUrl:
                        nullable: true
                      failureReason:
                        nullable: true
                      bankAccount:
                        nullable: true
                      wallet:
                        type: object
                        properties:
                          id:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          updatedAt:
                            type: string
                            format: date-time
                          active:
                            type: boolean
                          address:
                            type: string
                          memo:
                            type: string
                          network:
                            type: string
                          amlRiskScore:
                            type: integer
                          amlRiskLevel:
                            nullable: true
                          amlAttemptExternalId:
                            nullable: true
                          amlExternalId:
                            nullable: true
                          amlIntegrator:
                            type: string
                          payoutId:
                            type: string
                  deposit:
                    nullable: true
                  utility:
                    nullable: true
                  isAddressSaved:
                    type: boolean
              example:
                message: Ok
                data:
                  id: 10bce8f0-6aac-4342-be0a-eeab3fcdad60
                  createdAt: '2026-02-03T11:50:15.853Z'
                  updatedAt: '2026-02-03T11:50:15.853Z'
                  active: true
                  reference: cb755117-15f3-4811-87c6-4ea7f547dd76
                  description: External payout
                  narration: null
                  type: DEBIT
                  category: WITHDRAWAL
                  amount: 10
                  walletId: cbf7bb13-fdb1-47fc-a115-d40a641ef3a6
                  wallet:
                    id: cbf7bb13-fdb1-47fc-a115-d40a641ef3a6
                    createdAt: '2022-10-12T14:41:58.219Z'
                    updatedAt: '2026-02-03T11:50:15.853Z'
                    active: true
                    availableBalance: 4152.38309274
                    pendingBalance: 0
                    pendingSwapBalance: 0
                    lockedBalance: 10
                    userId: dccc3940-eade-43cb-a4bc-369cd22006db
                    currencyId: 55456608-8c9f-499d-99b4-15ceafef3212
                    p2pBalance: 295.8510555
                    currency:
                      id: 55456608-8c9f-499d-99b4-15ceafef3212
                      createdAt: '2021-11-22T10:16:50.727Z'
                      updatedAt: '2024-03-03T08:16:24.743Z'
                      active: true
                      name: Tether
                      code: USDT
                      exchangeCode: null
                      leverageBaseCurrencyCode: null
                      leverageMultipler: null
                      cardWithdrawalMultiplier: 0.9985
                      cardFundingMultiplier: 0.9985
                      receivable: true
                      withdrawable: true
                      transferrable: true
                      minimumWithdrawal: 5
                      minimumDeposit: 3
                      maximumDeposit: 0
                      maximumDailyDepositLimit: 0
                      maximumWithdrawal: 10000000
                      maximumDecimalPlaces: 4
                      minimumLiquidity: 0
                      maximumLiquidity: 0
                      withdrawalFee: 0
                      receiveFee: 0
                      type: STABLE
                      leverageType: null
                      receiveFeeType: PERCENTAGE
                      withdrawalFeeType: PERCENTAGE
                      maximumWithdrawalFee: 0
                      allowUtilityPayments: true
                      allowUnconfirmedTrading: true
                      allowVirtualCardTransactions: true
                      enableWithdrawalApproval: false
                    totalSwappableBalance: 4152.38309274
                    totalPendingBalance: 0
                  payout:
                    id: 42bd43ac-2e38-461a-9afd-e7130b9c33d4
                    createdAt: '2026-02-03T11:50:15.853Z'
                    updatedAt: '2026-02-03T11:50:15.853Z'
                    active: true
                    tries: 0
                    transferReference: null
                    externalReference: null
                    channel: NONE
                    status: APPROVED
                    processedAt: null
                    verifiedAt: null
                    reversedAt: null
                    dollarValue: 9.9
                    fee: 1
                    externalFee: 0
                    bitcoinValue: 0.00012648
                    transactionId: 10bce8f0-6aac-4342-be0a-eeab3fcdad60
                    invoiceUrl: null
                    failureReason: null
                    bankAccount: null
                    wallet:
                      id: 1e9a47d8-f096-4001-860f-4c4d33794641
                      createdAt: '2026-02-03T11:50:15.853Z'
                      updatedAt: '2026-02-03T11:50:15.853Z'
                      active: true
                      address: TD9xonpcnuA4Hi7XjFuN7uP2bt7ZcmDZuy
                      memo: ''
                      network: SOL
                      amlRiskScore: 0
                      amlRiskLevel: null
                      amlAttemptExternalId: null
                      amlExternalId: null
                      amlIntegrator: NONE
                      payoutId: 42bd43ac-2e38-461a-9afd-e7130b9c33d4
                  deposit: null
                  utility: null
                  isAddressSaved: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````